# Get artifact index for given plan by planId

Get artifact index for given plan by planId

Endpoint: GET /plans/{planId}/artifact-index
Version: 1.0.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `planId` (string, required)
    The DrillPlan project plan id. A DrillPlan project can have multiple plans, but you can only set one of them as the master plan. The master plan is the main plan that the team is working on. Other plans can be concept evaluations, contingency plans, or similar.

## Header parameters:

  - `slb-data-partition-id` (string, required)
    The data partition id.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `plan_name` (string)

  - `plan_status` (string)
    Enum: "Working"

  - `data_partition_id` (string)

  - `last_update_time` (string)

  - `well` (object)

  - `well.name` (string)

  - `well.id` (string)

  - `wellbores` (array)

  - `wellbores.name` (string)

  - `wellbores.id` (string)

  - `wellbores.parent_wellbore` (string)

  - `sections` (array)

  - `sections.name` (string)

  - `sections.id` (string)

  - `sections.wellbore_id` (string)

  - `runs` (array)

  - `runs.display_name` (string)

  - `runs.id` (string)

  - `runs.type` (string)

  - `runs.section_id` (string)

  - `artifacts` (array)

  - `artifacts.wellbore_id` (string)

  - `artifacts.section_id` (string)

  - `artifacts.run_id` (string)

  - `artifacts.node_id` (string)

  - `artifacts.artifact_type` (string)

  - `artifacts.artifact_link` (string)

  - `attachments` (array)
    The attachments table, which you can filter by artifact type.

  - `attachments.node_id` (string)

  - `attachments.attachment_download_link` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `message` (string)

